package wxcarduser

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/wxcarduser"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /api/user/update wxcarduser UpdateApiWxCardUser
//
// Update wx card user information | 更新WxCardUser
//
// Update wx card user information | 更新WxCardUser
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: WxCardUserInfo
//
// Responses:
//  200: BaseMsgResp

func UpdateApiWxCardUserHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.WxCardUserInfo
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := wxcarduser.NewUpdateApiWxCardUserLogic(r.Context(), svcCtx)
		resp, err := l.UpdateApiWxCardUser(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
